org.apache.uima.jcas.cas

## Class NonEmptyFloatList

- java.lang.Object
- - org.apache.uima.cas.impl.FeatureStructureImpl
  - - org.apache.uima.jcas.cas.TOP
    - - org.apache.uima.jcas.cas.FloatList
      - - org.apache.uima.jcas.cas.NonEmptyFloatList

- All Implemented Interfaces:
    Cloneable, Iterable<Float>, FeatureStructure

      public class NonEmptyFloatList
      extends FloatList

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `type`
    `static int` | `typeIndexID`

    - ### Fields inherited from class org.apache.uima.jcas.cas.TOP

      `addr, jcasType`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NonEmptyFloatList()`
    `` | `NonEmptyFloatList(int addr, TOP_Type type)`
    `` | `NonEmptyFloatList(JCas jcas)`
    `` | `NonEmptyFloatList(JCas jcas, float item, FloatList tail)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getHead()`
    `FloatList` | `getTail()`
    `int` | `getTypeIndexID()` used to obtain reference to the TOP_Type instance
    `Iterator<Float>` | `iterator()`
    `void` | `setHead(float v)`
    `void` | `setTail(FloatList v)`

    - ### Methods inherited from class org.apache.uima.jcas.cas.FloatList

      `getNthElement, push`

    - ### Methods inherited from class org.apache.uima.jcas.cas.TOP

      `addToIndexes, addToIndexes, equals, getAddress, getCAS, getCASImpl, getLowLevelCas, hashCode, removeFromIndexes, removeFromIndexes`

    - ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImpl

      `clone, getavoidcollisionTypeCode, getBooleanValue, getByteValue, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getShortValue, getStringValue, getType, prettyPrint, prettyPrint, prettyPrint, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### typeIndexID

          public static final int typeIndexID

    - #### type

          public static final int type

  - ### Constructor Detail

    - #### NonEmptyFloatList

          protected NonEmptyFloatList()

    - #### NonEmptyFloatList

          public NonEmptyFloatList(int addr,
                                   TOP_Type type)

    - #### NonEmptyFloatList

          public NonEmptyFloatList(JCas jcas)

    - #### NonEmptyFloatList

          public NonEmptyFloatList(JCas jcas,
                                   float item,
                                   FloatList tail)

      Parameters:
        `jcas` - the JCas create the new Feature Structure in
        `item` - the head item
        `tail` - the tail item

  - ### Method Detail

    - #### getTypeIndexID

          public int getTypeIndexID()

      Description copied from class: `TOP`
      used to obtain reference to the TOP_Type instance
      Overrides:
        `getTypeIndexID` in class `FloatList`
      Returns:
        the type array index

    - #### getHead

          public float getHead()

    - #### setHead

          public void setHead(float v)

    - #### getTail

          public FloatList getTail()

    - #### setTail

          public void setTail(FloatList v)

    - #### iterator

          public Iterator<Float> iterator()

      Specified by:
        `iterator` in interface `Iterable<Float>`
      Overrides:
        `iterator` in class `FloatList`

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.